<div class="container shadow-lg">
  <div class="row bgcolor">
    <div class="col-md-12 text-center pt-4">
      <app-applicationname></app-applicationname>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12">
      <div class="row px-5 py-4">
        <div class="col-md-6">
          <div class="row">
            <div class="col-md-12">
              <app-applyfor
                (applyFormData)="applyFormDataEnable($event)"
              ></app-applyfor>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <app-your-personal
                (yourPersonalFormData)="yourPersonalFormDataEnable($event)"
              ></app-your-personal>
            </div>
          </div>
        </div>
        <div class="col-md-6 px-5">
          <app-identication-information
            (identicatinFormData)="identicatinFormDataEnable($event)"
          ></app-identication-information>
        </div>
      </div>
    </div>
  </div>

  <div class="row px-5 py-4">
    <div class="col-md-12">
      <app-idcard-number-details
        (idCardNumberDetailsFormData)="
          idCardNumberDetailsFormDataEnable($event)
        "
      ></app-idcard-number-details>
    </div>
  </div>

  <div class="row px-5 py-4">
    <div class="col-md-6">
      <app-your-personal-details
        (yourPersonalDetailsFormData)="
          yourPersonalDetailsFormDataEnable($event)
        "
      ></app-your-personal-details>
    </div>
    <div class="col-md-6 px-5">
      <app-contact-details
        (contactDetailsFormData)="contactDetailsFormDataEnable($event)"
      ></app-contact-details>
    </div>
  </div>

  <div class="row px-5 py-4">
    <div class="col-md-12">
      <app-social-security-number
        (socialSecurityFormData)="socialSecurityFormDataEnable($event)"
      ></app-social-security-number>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12 text-center">
      <button
        class="btn btn-danger"
        (click)="ShowData()"
        [disabled]="
          !applyFormValid ||
          !yourPersonalFormValid ||
          !iidenticatinFormValid ||
          !idCardNumberDetailsFormValid ||
          !yourPersonalDetailsFormValid ||
          !contactDetailsFormValid ||
          !socialSecurityFormValid
        "
      >
        Submit
      </button>
    </div>
  </div>

  <div *ngFor="let item of AllDataList">
    <p>Applying For:{{ item.applyfor }}</p>

    <h2>Your Personal</h2>
    <p>Full Last Name:{{ item.lname }}</p>
    <p>Full First Name:{{ item.fname }}</p>
    <p>DOB:{{ item.dob }}</p>
    <p>Nationality:{{ item.nationality }}</p>
    <p>Gender:{{ item.gender }}</p>

    <h2>Identification Information</h2>
    <p>Driver License:{{ item.driverLicense_value }}</p>
    <p>Leamer Permit:{{ item.leamerPermit_value }}</p>
    <p>Non-Driver ID Card:{{ item.nonDriverIDCard_value }}</p>

    <h2>ID Card Number And Details</h2>
    <p>IDNo:{{ item.idNo }}</p>
    <p>Date of Expiration:{{ item.iddate }}</p>
    <p>Type Of License:{{ item.typeOfLicense }}</p>
    <p>Out-of-State License ID No:{{ item.licenseIdNo }}</p>

    <h2>Your Personal Details</h2>
    <p>Height:{{ item.height }}</p>
    <p>Eye Color:{{ item.eyeColor }}</p>
    <p>Email:{{ item.email }}</p>
    <p>Status:{{ item.status }}</p>
    <p>Unit Code:{{ item.unitCode }}</p>
    <p>Street No:{{ item.streetNo }}</p>
    <p>Street:{{ item.street }}</p>
    <p>Town City:{{ item.townCity }}</p>
    <p>State:{{ item.state }}</p>
    <p>Post Code:{{ item.postCode }}</p>
    <p>Country:{{ item.country }}</p>

    <h2>Contact Details</h2>
    <p>Home Phone No:{{ item.homeNo }}</p>
    <p>Mobile Phone No:{{ item.mobileNo }}</p>
    <p>Fax No:{{ item.faxNo }}</p>
    <p>Work Phone No:{{ item.workNo }}</p>
    <p>Has your mailling address changed?:{{ item.mailChanged }}</p>
    <p>Other Language:{{ item.otherLanguage }}</p>

    <h2>Social security number</h2>
    <p>SNo:{{ item.sno }}</p>
    <p>Do you ware glasses or contact lenses?:{{ item.listone_value }}</p>
    <p>
      Do you have a physical or mental condition which requires that you take
      medication?:{{ item.listtwo_value }}
    </p>
    <p>
      Have you ever had a seizure, blackout,or loss of consciousness?:{{
        item.listthree_value
      }}
    </p>
    <p>
      Do you have a physical condition which requires you to use special
      equipment in order to work?:{{ item.listfour_value }}
    </p>
    <p>
      Have you ever had a seizure, blackout,or loss of consciousness?:{{
        item.listfive_value
      }}
    </p>
    <p>
      have you ever convicted withen the past ten years in this state or
      elsewhere of any offense?:{{ item.listsix_value }}
    </p>
    <p>
      Have you resulting from your operation of,or involving, a moter
      vehicle?:{{ item.listseven_value }}
    </p>
    <p>Signature:{{ item.signature }}</p>
    <p>Date:{{ item.sdate }}</p>
  </div>
</div>
